Bug 239971 - virt-install is unable to handle --location
virt-install is unable to handle --location
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 13:03 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.103.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 16:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-05-13 13:03:26 EDT
Description of problem:
I'm asked for the image, even I gave it via parameter:

[root@rsc ~]# virt-install --name kvm --file /home/robert/kvm.img \
> --file-size 0.7 --bridge eth0 --vnc --accelerate \
> --connect qemu:///system --paravirt --location /home/robert/boot.iso \
> --ram=256
What would you like to use for the virtual CD image? 

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-1

How reproducible:
Everytime, see above.

Actual results:
virt-install is unable to handle --location

Expected results:
virt-install should be able to handle --location correct
Comment 1 Daniel Berrange 2007-05-13 17:47:19 EDT
virt-install is actually part of the python-virtinst package, but anyway,
traditionally when we only supported Xen we used  --location for specifying 
http/ftp/nfs URLs for paravirt installs and --cdrom for specifying ISO images /
CD devices for fullyvirt installs. With KVM it is possible to do installs off
both URLs and local ISOs, so we're obsoleting the --cdrom arg & using --locatio
for all. This fix should be present in the latest python-virtinst-0.103.0-3.fc7
that hit rawhide this weekend, so please re-test to confirm.
Comment 2 Robert Scheck 2007-05-15 16:26:32 EDT
Confirmed to work in 0.103.0-3 - thanks.

Note You need to log in before you can comment on or make changes to this bug.